<ui:UiBinder xmlns:ui='urn:ui:com.google.gwt.uibinder'
             xmlns:g='urn:import:com.google.gwt.user.client.ui'


        >


    <ui:style>

        .container {
            margin: 0 0 10px 0;
            background: #fff;
            border: 1px solid;
            border-color: #e5e6e9 #dfe0e4 #d0d1d5;
            -webkit-border-radius: 3px;

        }

        .avatar {
            height: 50px;
            width: 50px;
            display: block;
            margin: 10px 10px 5px 10px;
            float: left;
            cursor: pointer;
        }

        .username {

            display: block;
            margin: 12px 0 0 5px;
            float: left;
            color: #365899;
            font-size: 14px;
            font-weight: bold;
            width: 410px;
            cursor: pointer;
        }

        .listento {

            display: block;
            margin: 4px 0 0 5px;
            float: left;
            color: gray;
            font-size: 14px;

        }

        .date {

            display: block;
            margin: 4px 0 0 5px;
            float: left;
            color: gray;
            font-size: 14px;
        }

        .more {

            display: block;
            margin: 2px 0 9px 14px;

        }

        .header {
            display: block;
            height: 65px;
        }

        .thumbnail {
            width: 480px;
            margin: auto;

            position: absolute;
            top: 0;
            bottom: 0;
            display: block;
            cursor: pointer;
        }

        .previewContainer {
            margin: 5px 0 5px 10px;
            overflow: hidden;
            height: 269px;
            position: relative;
        }

        .playButton {
            background-image: url(https://static.xx.fbcdn.net/rsrc.php/v2/yC/r/44snmsgTV8S.png);
            background-position: 0 0;
            background-repeat: no-repeat;
            background-size: 96px 191px;
            bottom: 0;
            color: #3b5998;
            cursor: pointer;
            direction: ltr;
            display: block;
            font-family: "lucida grande", tahoma, verdana, arial, sans-serif;
            font-size: 11px;
            font-style: italic;
            height: 96px;
            left: 0;
            line-height: 0;
            margin-bottom: 52px;
            margin-left: 197px;
            margin-right: 121px;
            margin-top: 87px;
            position: absolute;
            right: 0;
            top: 0;
            width: 123px;
            zoom: 1;
            -webkit-user-select: none;

        }
        .videoLabel{
            display: block;
            margin: 14px 20px;
            font-family: Roboto, Arial, Helvetica, sans-serif !important;
            color: rgb(238, 238, 238);
            line-height: 1.3;
            font-size: 16px;

            position: absolute;
            text-shadow: 0 0 2px #000;
            cursor: pointer;
        }
    </ui:style>


    <g:HTMLPanel styleName="{style.container}" ui:field="container">

        <!--<g:Label ui:field="trackName"></g:Label>-->

        <g:FlowPanel ui:field="playerContainer">
            <g:FlowPanel styleName="{style.header}">
                <g:Image ui:field="image" styleName="{style.avatar}"></g:Image>
                <g:Label ui:field="userName" styleName="{style.username}"></g:Label>
                <g:Label styleName="{style.listento}">слушает трек из вашего плейлиста</g:Label>
                <g:Label ui:field="date" styleName="{style.date}"></g:Label>
            </g:FlowPanel>

            <g:FlowPanel ui:field="previewContainer" visible="false" styleName="{style.previewContainer}">

                <g:Image ui:field="thumbnail" styleName="{style.thumbnail}"></g:Image>
                <g:FlowPanel styleName="{style.playButton}" ui:field="playButton"></g:FlowPanel>
                <g:Label ui:field="videoLabel" styleName="{style.videoLabel}"></g:Label>
            </g:FlowPanel>

            <g:FlowPanel ui:field="tracksContainer"></g:FlowPanel>

            <g:Anchor ui:field="more" styleName="{style.more}">Показать весь плейлист</g:Anchor>

        </g:FlowPanel>

    </g:HTMLPanel>


</ui:UiBinder>